Piece info state

### Type parameters

- #### DataType = any

### Hierarchy

- IPiece<DataType>
  - IPieceItem

## Index

### Properties

- changed
- data
- dataset
- destroy
- fetched
- fetching
- id
- initialized
- manualActivation
- manualDeactivation
- message
- messageLevel
- name
- node
- type

## Properties

### Optional changed

changed: undefined | false | true

### Optional data

data: DataType

Inherited from IPiece.data

Data of piece, specific to piece type

### Optional dataset

dataset: undefined | {}

Dataset of node

### Optional destroy

destroy: undefined | false | true

### Optional fetched

fetched: undefined | false | true

### Optional fetching

fetching: undefined | false | true

### id

id: string

Inherited from IPiece.id

Unique piece id

### Optional initialized

initialized: undefined | false | true

### Optional manualActivation

manualActivation: undefined | false | true

deprecated

### Optional manualDeactivation

manualDeactivation: undefined | false | true

deprecated

### message

message: string

### messageLevel

messageLevel: string

### name

name: string

Inherited from IPiece.name

Human readable piece name

### node

node: HTMLElement

Inherited from IPiece.node

Node which piece controls

### type

type: PieceType

Inherited from IPiece.type

Type of piece

Generated using TypeDoc